\name{PathWave-package}
\alias{PathWave-package}
\alias{PathWave}
\docType{package}
\title{
PathWave
}
\description{
The package PathWave includes functions to perform an enrichment analysis on optimally ordered graphs by applying the Haar wavelet transform. 
The package's functions enable the parsing of KEGG xml files, construction of adjacency marices, generation of LP solver readable files, parsing of the optimisation results and the enrichment analysis.
}
\details{
\tabular{ll}{
Package: \tab PathWave\cr
Type: \tab Package\cr
Version: \tab 2.1.3\cr
Date: \tab 2013-12-18\cr
License: \tab GPL (>=2)\cr
}
The package enables to apply the following work flow:
\tabular{ll}{
1) pathWave.preprocessPathways():\tab preprocess KEGG pathway XML files\cr
2) pathWave.preprocessOptGrids():\tab preprocess optimal grid representations of pathways\cr
3) pathWave.run():\tab run PathWave on expression data\cr
4) pathWave.resultSummary():\tab summarize final PathWave results\cr
5) pathWave.getColorKEGGMapURLs.R():\tab get URLs for colored pathway maps from KEGG\cr
}
Important: 1) and 2) are only needed to preprocess new pathway data, not for using 
already available preprocessed pathway data. Please see the documentation for a list of
available pathway data.
}
\author{
Gunnar Schramm, Stefan Wiesberg, Rosario Piro\cr
Maintainer: Rosario Piro <r.piro@dkfz.de>
}
\references{
Schramm et al. (2010) Bioinformatics 26(9):1225-1231.\cr
Piro et al. (submitted)\cr
http://www.ichip.de/software/pathwave.html
}
\keyword{manip}
\keyword{graphs}
\keyword{optimize}
