\name{pathWave.getColorKEGGMapURLs}
\alias{pathWave.getColorKEGGMapURLs}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
pathWave.getColorKEGGMapURLs
}
\description{
This function allows to obtain URLs for viewing colored pathway maps
at the KEGG website.
}
\usage{
pathWave.getColorKEGGMapURLs(results.filtered,
                   configfile="pathwave.run.conf", preprocessed.tag=NULL,
                   col=c("green","grey","red"),
		   col.sign.pattern=c("red","red","green"),
		   verbose=FALSE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{results.filtered}{
PathWave result object containing filtered, significant pathways. 
This corresponds to the pwres$results.filtered where pwres is the result list
returned by pathWave.run().
}
  \item{configfile}{
(Optional) Configuration file containing specifications for the remaining
arguments (including mandatory ones); arguments directly specified with
the function all take precedence over those specified in the file.
Arguments will be read from the configuration file only if NULL has been
passed for them to the function call. Format of the configuration file:\cr
   <argument>=<value>\cr
For example:\cr
   preprocessed.tag="KEGG.hsa"
}
  \item{preprocessed.tag}{
(Mandatory) ID tag of the preprocessed pathway and optimal grid data
(e.g. "KEGG.hsa").
}
  \item{col}{
Character vector containing color names in which to paint the nodes of
(in the following order): downregulated reactions/enzymes; not differentially
regulated reactions; upregulated reactions.
}
  \item{col.sign.pattern}{
Character vector containing color names to use for the font to indicate the
most significant pathway feature(s)/pattern(s) that gave the pathway's p-value
(in the following order): font on downregulated reactions/enzymes; font on not
differentially regulated reactions; font on upregulated reactions.
}
  \item{verbose}{
Logical argument, indicating whether to print additional information.
}
}
%\details{
%}
\value{
A list of URLs at which the colored maps can be viewed at the KEGG
website.
}
\references{
Schramm et al. (2010) Bioinformatics 26(9):1225-1231.\cr
Piro et al. (unpublished)\cr
http://www.ichip.de/software/pathwave.html
}
%\author{
%%  ~~who you are~~
%}
\note{
The KEGG pathways <species>01100 (e.g. hsa01100), which is a union of all
metabolic pathways, will be ignored as it is too complex and unspecific.
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
PathWave
}
%\examples{
%}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{graphs}
\keyword{soap}
