\name{pathWave.preprocessOptGrids}
\alias{pathWave.preprocessOptGrids}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
pathWave.preprocessOptGrids
}
\description{
This function is used to preprocess optimal 2D grid representations of KEGG
pathways for later use with pathWave.run().
Important note: this function does not _produce_ the optimal grid
representations, which is done with an external software using CPLEX.
It rather reads optimal grid representations from files and preprocesses
them to be easily used by pathWave.run().
}
\usage{
pathWave.preprocessOptGrids(preprocessed.tag=NULL,
			    configfile="pathwave.preprocess.conf",
			    input.file.pathwaydir=NULL,
			    input.file.optgriddir=NULL, verbose=TRUE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{preprocessed.tag}{
(Mandatory) ID tag that will be associated with the preprocessed pathway data
(e.g. "KEGG.hsa").
}
  \item{configfile}{
(Optional) Configuration file containing specifications for the other
arguments (including mandatory ones); arguments directly specified with
the function all take precedence over those specified in the file.
Arguments will be read from the configuration file only if NULL has been
passed for them to the function call. Format of the configuration file:\cr
   <argument>=<value>\cr
For example:\cr
   preprocessed.tag="KEGG.hsa"
}
  \item{input.file.pathwaydir}{
(Mandatory) Directory in which to search for KEGG XML files. All files
respecting the file name pattern "*.xml" will be used.
Note: The KEGG XML files are preprocessed for pathWave.run() using
pathWave.preprocessPathways(), but are also required for preprocessing
their grid representations.
}
  \item{input.file.optgriddir}{
(Mandatory) Directory in which to search for optimized grid files. All files
respecting the file name pattern "*out" will be used.
}
  \item{verbose}{
Verbose information on processing; default: TRUE.
}
}
%\details{
%%  ~~ If necessary, more details than the description above ~~
%}
%\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
%}
\references{
Schramm et al. (2010) Bioinformatics 26(9):1225-1231.\cr
Piro et al. (unpublished)\cr
http://www.ichip.de/software/pathwave.html
}
%\author{
%%  ~~who you are~~
%}
%\note{
%%  ~~further notes~~
%}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
PathWave
}
%\examples{
%}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{manip}
\keyword{graphs}
\keyword{optimize}
\keyword{preprocess}
