\name{pathWave.preprocessPathways}
\alias{pathWave.preprocessPathways}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
pathWave.preprocessPathways
}
\description{
This function is used to preprocess XML files from KEGG (KGML) and pathway ID
to name mappings for later use with pathWave.run()
}
\usage{
pathWave.preprocessPathways(preprocessed.tag=NULL,
		            configfile="pathwave.preprocess.conf",
			    input.file.pathwaydir=NULL,
			    input.file.pathwayid2name=NULL, 
			    output.file.matrixdir=NULL, verbose=TRUE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{preprocessed.tag}{
(Mandatory) ID tag that will be associated with the preprocessed pathway data
(e.g. "KEGG.hsa").
}
  \item{configfile}{
(Optional) Configuration file containing specifications for the other
arguments (including mandatory ones); arguments directly specified with
the function all take precedence over those specified in the file.
Arguments will be read from the configuration file only if NULL has been
passed for them to the function call. Format of the configuration file:\cr
   <argument>=<value>\cr
For example:\cr
   preprocessed.tag="KEGG.hsa"
}
  \item{input.file.pathwaydir}{
(Mandatory) Directory in which to search for KEGG XML files. All files
respecting the file name pattern "*.xml" will be used.
}
  \item{input.file.pathwayid2name}{
(Optional) If pathway IDs are not human readable (like for KEGG), this
argument allows to specify a file containing a mapping of pathway IDs to names
(one per line) as a tab-seperated vector (TSV), i.e. <id1><tab><name1>.
}
  \item{output.file.matrixdir}{
If a directory/path is specified, the produced adjacency matrices will be
written to files in this directory (with filenames: "<pathwayID>.matrix");
Use "." for the current working directory. Default (NULL): matrices are not
written to file.
}
  \item{verbose}{
Verbose information on processing; default: TRUE.
}
}
%\details{
%%  ~~ If necessary, more details than the description above ~~
%}
%\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
%}
\references{
Schramm et al. (2010) Bioinformatics 26(9):1225-1231.\cr
Piro et al. (unpublished)\cr
http://www.ichip.de/software/pathwave.html
}
%\author{
%%  ~~who you are~~
%}
%\note{
%%  ~~further notes~~
%}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
PathWave
}
%\examples{
%}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{manip}
\keyword{graphs}
\keyword{optimize}
\keyword{preprocess}
